module PORTL
  module HTML
    # All of the HTML tags available to the engine.
    TAGS = %i[
      a abbr acronym address applet area article aside audio b base
      basefont bdi bdo big blockquote body br button canvas caption
      center cite code col colgroup datalist dd del details dfn dialog
      dir div dl dt em fieldset figcaption figure font footer form frame
      frameset h1 head header hr html i iframe img input ins kbd keygen
      label legend li link main map mark menu menuitem meta meter nav
      noframes noscript object ol optgroup option output p param pre
      progress q rp rt ruby s samp script section select small source
      span strike strong style sub summary sup table tbody td textarea
      tfoot th thead time title tr track tt u ul var video wbr
    ]

    # HTML tags that should not be closed.
    NON_CLOSING_TAGS = %i[
      br input meta
    ]
  end
end
